Bug 1575916

Summary: [DOCS] Incorrect path for collecting ansible openshift facts (openshift_facts) in prerequisites part of the doc
Product: OpenShift Container Platform Reporter: Timothy Rees <trees>
Component: DocumentationAssignee: Ashley Hardin <ahardin>
Status: CLOSED CURRENTRELEASE QA Contact: Johnny Liu <jialiu>
Severity: medium Docs Contact: Vikram Goyal <vigoyal>
Priority: unspecified    
Version: 3.9.0CC: aos-bugs, jokerman, mmccomas, nperic, vigoyal
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1462405 Environment:
Last Closed: 2018-05-14 14:24:56 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1462405    
Bug Blocks:    

Description Timothy Rees 2018-05-08 09:37:24 UTC
+++ This bug was initially created as a clone of Bug #1462405 +++

Document URL: 

https://docs.openshift.com/container-platform/3.9/install_config/install/prerequisites.html#overriding-detected-ip-addresses-host-names

Section Number and Name: 

OVERRIDING DETECTED IP ADDRESSES AND HOST NAMES

Describe the issue: 

Path in the code snippet refers to a python file and not an ansible play.  When executed per the documented snippet, this results in an error:

[root@cp1 vagrant]# ansible-playbook /usr/share/ansible/openshift-ansible/roles/openshift_facts/library/openshift_facts.py
ERROR! Syntax Error while loading YAML.
....


Suggestions for improvement: 

Code snippet should be replaced with the following:

# ansible-playbook  [-i /path/to/inventory] \ 
/usr/share/ansible/openshift-ansible/playbooks/byo/openshift_facts.yml

Additional information:

Comment 1 Ashley Hardin 2018-05-09 21:17:49 UTC
Work in progress: https://github.com/openshift/openshift-docs/pull/9139

Comment 2 Johnny Liu 2018-05-11 06:21:10 UTC
LGTM